commit: f9d8f18fa2c767d59ebed20a9619c668c8375894
Author: Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 6 13:20:42 2021 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 6 13:21:31 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9d8f18f
dev-libs/libvoikko: bump 4.3.1
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
dev-libs/libvoikko/Manifest | 2 ++
dev-libs/libvoikko/libvoikko-4.3.1.ebuild | 55 +++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/dev-libs/libvoikko/Manifest b/dev-libs/libvoikko/Manifest
index a9a0f07eea4..7ccdd92aac5 100644
--- a/dev-libs/libvoikko/Manifest
+++ b/dev-libs/libvoikko/Manifest
@@ -1,2 +1,4 @@
+DIST libvoikko-4.3.1.tar.gz 658079 BLAKE2B
4f52789b5d62991333ba9b979259a631ef2989bc70358b398a4281d56765046209657fd3e41afd47ee7ba1dbafeeb4a34ffd007e55037bca9958fb813e4b7202
SHA512
6677fac7c0cba1289dda23b0c0a4bbe44480ce747189d40634ac57811728c1942a795efd50270e933373fabab9c54e82a8f9fde06d936442820e3f8019574f08
+DIST libvoikko-4.3.1.tar.gz.asc 833 BLAKE2B
4a69ae75da1973e383ab21cb557352be1344dc6e34fef13e28616fbd9e0003b93ef5e3488f1e776eb476a750980281463ee144edc5849ec7e3159badc160ceb7
SHA512
04a5e8899679e1503ec0d378903b8ff17e8065aa105ba61559b584eb4cde2a5a9b622fd39bd0126bb87915c7dcbac8495e874c3cdabf25232b1ae41491275ba0
DIST libvoikko-4.3.tar.gz 655465 BLAKE2B
a5c0cfd420d51f873bbd707dfddf2e20ea3df8285a88a13fd6a2af947183be42137aefd1ae088b7b01e938864b3fc9402b110cc8a577efb8331a7ea24f795c2e
SHA512
804d55d34deca52f882580ff8699a548d0b62d79eb8e27f8f5783a9e0e57d1ab8986963084df2b5fc7ca9f45546e6e4d66e195a42cfbe0327ca02dc211563988
DIST libvoikko-4.3.tar.gz.asc 833 BLAKE2B
78c8da90512a214ce2060c41f6251c7f7575df59bccb50ae80876de0acd37da56c616e73bcdd83f5962712a9e90fc38817fbd2cd773e4ddb9985f0dc86c7f2bf
SHA512
3087e098c3d85ba6419e414ec92af380fedebcab2a8a037b7fc55738f00fe042c9d0de7ec18fb6eb12e3afe2c6e0e8a0bdbcfc55747f0e46268a19158a08fb0b
diff --git a/dev-libs/libvoikko/libvoikko-4.3.1.ebuild
b/dev-libs/libvoikko/libvoikko-4.3.1.ebuild
new file mode 100644
index 00000000000..51d52df5381
--- /dev/null
+++ b/dev-libs/libvoikko/libvoikko-4.3.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit python-r1 verify-sig
+
+DESCRIPTION="Spell checking, hyphenation and morphological analysis tool for
Finnish language"
+HOMEPAGE="https://voikko.puimula.org/"
+SRC_URI="https://www.puimula.org/voikko-sources/${PN}/${P}.tar.gz
+ verify-sig? (
https://www.puimula.org/voikko-sources/libvoikko/${P}.tar.gz.asc )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="+expvfst +hfst verify-sig"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="test"
+
+DEPEND="${PYTHON_DEPS}
+ hfst? ( >=dev-util/hfstospell-0.5.0 )"
+RDEPEND="${DEPEND}"
+BDEPEND="verify-sig? ( app-crypt/openpgp-keys-voikko )"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/voikko.asc
+
+PATCHES=( "${FILESDIR}"/libvoikko-4.3-disable-wall-werror.patch )
+
+src_configure() {
+ local myconf=(
+ --prefix=/usr
+ --with-dictionary-path=/usr/share/voikko
+ $(use_enable expvfst)
+ )
+
+ if ! use hfst ; then
+ myconf+=( --disable-hfst )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ python_setup
+ default
+
+ python_foreach_impl python_domodule python/libvoikko.py
+
+ find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
+}